relaxngcc.grammar

## Class RefPattern

- java.lang.Object
- - relaxngcc.grammar.Pattern
  - - relaxngcc.grammar.RefPattern

    public class RefPattern
    extends Pattern

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Field Summary

Fields
`org.xml.sax.Locator` `locator`
`NGCCCallParam` `param`
`Scope` `target`

### Constructor Summary

Constructors
Constructor and Description
`RefPattern(ParserRuntime rt, org.xml.sax.Locator loc, Scope target_, NGCCCallParam param_)`

### Method Summary

Methods
`java.lang.Object` `apply(PatternFunction f)`
`int` `getParamCount()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### locator

    public final org.xml.sax.Locator locator

#### target

    public final Scope target

#### param

    public final NGCCCallParam param

### Constructor Detail

#### RefPattern

    public RefPattern(ParserRuntime rt,
              org.xml.sax.Locator loc,
              Scope target_,
              NGCCCallParam param_)

### Method Detail

#### apply

    public java.lang.Object apply(PatternFunction f)

Specified by:
  `apply` in class `Pattern`

#### getParamCount

    public int getParamCount()